package cn.iocoder.yudao.module.infra.enums.codegen;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 代码生成器的字段 HTML 展示枚举
 * @author Administrator
 */
@AllArgsConstructor
@Getter
public enum CodegenColumnHtmlTypeEnum {
    /**
     * 文本框
     */
    INPUT("input"),
    /***
     * 文本域
     */
    TEXTAREA("textarea"),
    /***
     * 下拉框
     */
    SELECT("select"),
    /***
     * 单选框
     */
    RADIO("radio"),
    /***
     * 复选框
     */
    CHECKBOX("checkbox"),
    /***
     * 日期控件
     */
    DATETIME("datetime"),
    /***
     * 上传图片
     */
    UPLOAD_IMAGE("upload_image"),
    /***
     * 上传文件
     */
    UPLOAD_FILE("upload_file"),
    /***
     * 富文本控件
     */
    EDITOR("editor"),
    ;

    /**
     * 条件
     */
    private final String type;
}
